Subject: bug#40589: ^L printed when resizing Emacs split window using ksh93

From: Mike Kupfer <[email-masked]>
Date: Sun, 12 Apr 2020 21:06:20 -0700

Nicholas Papadonis wrote:

> PS2 is printed multiple times during the resize.  When entered is
> pressed after the resize, multiple ^L s are displayed.  I set PS2=""
> and the brackets are omitted, however ^L still remain after pressing
> enter.
> 
> Is this a known issue?

Yes.  Here's the text from the Emacs PROBLEMS file:

  *** In Shell buffers using ksh, resizing a window inserts random characters.
  
  The characters come from the PS2 prompt, but they are not followed by
  a newline, which messes up the next command you type.  This strange
  effect is caused by Emacs 25 and later telling the shell that its
  screen size changed.
  
  To work around the problem, customize the option
  'window-adjust-process-window-size-function' to "Do not adjust process
  window sizes" (Lisp value 'ignore').
  
regards,
mike